Do not use "script-error" icon for breakpoints

Authored by brauch on Oct 14 2016, 9:46 PM.



It just doesn't look right for some themes, e.g. Breeze. Instead, we
ship our own icon, which looks like what people expect (red dot).

At this occasion, use 16x16 size for the icon border icon,
because the width of the icon border is fixed to that in kate.


Diff Detail

R33 KDevPlatform
Automatic diff as part of commit; lint not applicable.
Automatic diff as part of commit; unit tests not applicable.
brauch retitled this revision from to Do not use "script-error" icon for breakpoints.Oct 14 2016, 9:46 PM
brauch updated this object.
brauch edited the test plan for this revision. (Show Details)
brauch added a reviewer: KDevelop.
brauch set the repository for this revision to R33 KDevPlatform.
Restricted Application added a subscriber: kdevelop-devel. · View Herald TranscriptOct 14 2016, 9:46 PM
brauch updated this revision to Diff 7401.Oct 14 2016, 9:48 PM
brauch removed R33 KDevPlatform as the repository for this revision.

include icons in diff

Screenshot because phabricator discards binary diffs.

kfunk accepted this revision.Oct 15 2016, 7:23 PM
kfunk added a reviewer: kfunk.
kfunk added a subscriber: kfunk.

Indeed better than the one from Breeze. But it kinda looks old school, do you have a more "modern" version Flat style, maybe?

This revision is now accepted and ready to land.Oct 15 2016, 7:23 PM
antonanikin accepted this revision.Oct 16 2016, 5:41 AM
antonanikin added a reviewer: antonanikin.
antonanikin added a subscriber: antonanikin.

+1 for flat style.

This revision was automatically updated to reflect the committed changes.
brauch added a comment.EditedOct 16 2016, 10:38 AM

For the record, this is what it looks like now with a flat-style icon: